[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [fedora-virt] ANNOUNCE: Rawhide virt repo for F11 users



On Fri, 2009-07-31 at 18:57 +0200, Ján ONDREJ (SAL) wrote:
> groupadd: GID 107 is not singular
> useradd: unknown group qemu
> Non-fatal POSTIN scriptlet failure in rpm package
> 2:qemu-common-0.10.91-0.2.rc1.rc0.fc11.i586
> varovanie: %post(qemu-common-2:0.10.91-0.2.rc1.rc0.fc11.i586) scriptlet
> failed, exit status 6
> 
> Messages have been manually translated from slovak (my language) to english.
> May be they are not correct.
> 
> OpenVPN is using gid 107 on my system.

Okay, it took me a while to figure out this one.

The first problem is that 'groupadd -r' doesn't know that the 100-200
range is reserved for system accounts:

  https://bugzilla.redhat.com/515667

This sounds nasty, but it's actually not too bad - 'groupadd -r' should
allocate gids from 499 downwards.

However, in rawhide and F-11 updates-testing, this was broken recently:

  https://bugzilla.redhat.com/515671

You need to do something like:

  1) downgrade to shadow-utils-4.1.2-13.fc11

  2) yum erase openvpn qemu*

  3) groupdel openvpn

  4) yum install openvpn qemu

> virtio booting is still not working. :(

This should be resolved now.

Thanks,
Mark.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]